<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page

  if(isset($_SESSION["mailcli"])) //si les sessions sont pleines
  {
    
    echo '
    <form action="fonds_importer.php" method="post" onsubmit="return pay_verification();">
    <div><h4 class="titre">Importer des fonds :</h4></div>
    <p>';
      
    if ($connexion) // si connexion à la base réussi
    {	
		mysql_select_db($base,$connexion) or die ("<p class='erreur'>La base est introuvable.</p>");
      
		if(isset($_POST['montant']))
 		{
			$montant = substr(addslashes(htmlentities(strip_tags($_POST['montant']))),0,20); 
			include("../../paiement/verif.php"); 
			  
			$regex = "/[a-z]/"; //informations indésirables : tout sauf les chiffres et une virgule (à compléter)
			if (!preg_match($regex, $montant)) // détermine si un montant est valide à partir du regex
			{
				
			  if( $montant > '0.00' )
			  {
				$requete_client="select * from freepay_iban where iban='".$_POST["iban"]."';"; //requête sql
				$resultat_client = mysql_query($requete_client,$connexion);
				$ligne2=mysql_fetch_assoc($resultat_client);
				
				if($montant<=$ligne2["montantiban"])
				{
				  mysql_query("UPDATE freepay_iban SET montantiban = montantiban - ".$montant."
				  where iban='".$_POST["iban"]."';");
				  
				  mysql_query("INSERT INTO freepay_fonds_importer values 
				  ('".date("Y")."-".date("m")."-".date("j")." ".date("H").":".date("i").":".date("s")."', 
					'".$_POST["iban"]."', '".$_SESSION["mailcli"]."', '".$montant."')");
				  
				  mysql_query("UPDATE freepay_client SET montantcompte = montantcompte + ".$montant."
				  where mailcli='".$_SESSION["mailcli"]."';");
				  
				  echo "<p class='info'>Ajout de ".$montant." Euros réussi depuis IBAN : ".$_POST["iban"]." vers ".$_SESSION["mailcli"]." le ".date("r").".</p>";
				  
				}else{
				  echo "<p class='erreur'>Vous n'avez pas la somme requise sur votre IBAN.</p>";
				}
			  }else{
				echo "<p class='erreur'>La valeur doit être positive.</p>";
			  }
			  
			}else{
			  echo "<p class='erreur'><strong>Transaction annulé.</strong> Le montant \"$montant\" contient des caractères indésirables.</p>";
			}
			
		  }
      
      	include("fonds_importer_interface.php");
        
    }
    
    echo '
      
      </p>
    </form>';
      
      //Focus sur le champs du montant en javascript
      echo '<script type="text/javascript">document.getElementById("montant").focus();</script>';
      
      echo '<script type="text/javascript" src="'.$AdresseFreePay.'paiement/pay/pay_verification.js"></script>';
    
  }else{
    echo "
    <script type='text/javascript'>
      window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
    </script>
    ";
  }
  
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page

?>
